org.richfaces.component.state

## Class TreeState

- java.lang.Object
- - org.richfaces.component.state.TreeState

- All Implemented Interfaces:
    java.io.Serializable, java.util.EventListener, javax.faces.component.StateHolder, javax.faces.event.FacesListener, org.ajax4jsf.model.DataComponentState, TreeStateCommandsListener

      public class TreeState
      extends java.lang.Object
      implements org.ajax4jsf.model.DataComponentState, TreeStateCommandsListener, javax.faces.component.StateHolder, java.io.Serializable

  Author:
    Nick Belaevski - nbelaevski@exadel.com created 23.11.2006
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeState()`
    `TreeState(boolean stopInCollapsed)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addQueuedState(org.richfaces.model.TreeRowKey rowKey, org.richfaces.component.state.TreeState.NodeState state)`
    `void` | `clearSubState(org.richfaces.model.TreeRowKey rowKey)`
    `void` | `collapseAll(UITree tree)`
    `void` | `collapseNode(UITree tree, org.richfaces.model.TreeRowKey rowKey)`
    `void` | `expandAll(UITree tree)`
    `void` | `expandNode(UITree tree, org.richfaces.model.TreeRowKey rowKey)`
    `org.ajax4jsf.model.Range` | `getRange()`
    `org.richfaces.model.TreeRowKey` | `getSelectedNode()`
    `TreeState` | `getSubState(org.richfaces.model.TreeRowKey rowKey)`
    `boolean` | `isExpanded(org.richfaces.model.TreeRowKey rowKey)`
    `boolean` | `isSelected(org.richfaces.model.TreeRowKey rowKey)`
    `boolean` | `isStopInCollapsed()`
    `boolean` | `isTransient()`
    `void` | `makeCollapsed(org.richfaces.model.TreeRowKey key)`
    `void` | `makeExpanded(org.richfaces.model.TreeRowKey key)`
    `void` | `mergeSubState(org.richfaces.model.TreeRowKey rowKey, TreeState subState)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setSelected(org.richfaces.model.TreeRowKey rowKey)`
    `void` | `setStopInCollapsed(boolean stopInCollapsed)`
    `void` | `setTransient(boolean newTransientValue)`
    `void` | `transferQueuedNodes(org.richfaces.model.TreeRowKey rootKey)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeState

          public TreeState()

    - #### TreeState

          public TreeState(boolean stopInCollapsed)

  - ### Method Detail

    - #### isExpanded

          public boolean isExpanded(org.richfaces.model.TreeRowKey rowKey)

    - #### isSelected

          public boolean isSelected(org.richfaces.model.TreeRowKey rowKey)

    - #### getSelectedNode

          public org.richfaces.model.TreeRowKey getSelectedNode()

    - #### setSelected

          public void setSelected(org.richfaces.model.TreeRowKey rowKey)

    - #### getRange

          public org.ajax4jsf.model.Range getRange()

      Specified by:
        `getRange` in interface `org.ajax4jsf.model.DataComponentState`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `javax.faces.component.StateHolder`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`

    - #### setTransient

          public void setTransient(boolean newTransientValue)

      Specified by:
        `setTransient` in interface `javax.faces.component.StateHolder`

    - #### isStopInCollapsed

          public boolean isStopInCollapsed()

    - #### setStopInCollapsed

          public void setStopInCollapsed(boolean stopInCollapsed)

    - #### expandAll

          public void expandAll(UITree tree)
                         throws java.io.IOException

      Specified by:
        `expandAll` in interface `TreeStateCommandsListener`
      Throws:
        `java.io.IOException`

    - #### collapseAll

          public void collapseAll(UITree tree)
                           throws java.io.IOException

      Specified by:
        `collapseAll` in interface `TreeStateCommandsListener`
      Throws:
        `java.io.IOException`

    - #### addQueuedState

          public void addQueuedState(org.richfaces.model.TreeRowKey rowKey,
                            org.richfaces.component.state.TreeState.NodeState state)

    - #### collapseNode

          public void collapseNode(UITree tree,
                          org.richfaces.model.TreeRowKey rowKey)
                            throws java.io.IOException

      Specified by:
        `collapseNode` in interface `TreeStateCommandsListener`
      Throws:
        `java.io.IOException`

    - #### expandNode

          public void expandNode(UITree tree,
                        org.richfaces.model.TreeRowKey rowKey)
                          throws java.io.IOException

      Specified by:
        `expandNode` in interface `TreeStateCommandsListener`
      Throws:
        `java.io.IOException`

    - #### transferQueuedNodes

          public void transferQueuedNodes(org.richfaces.model.TreeRowKey rootKey)

    - #### makeExpanded

          public void makeExpanded(org.richfaces.model.TreeRowKey key)

    - #### makeCollapsed

          public void makeCollapsed(org.richfaces.model.TreeRowKey key)

    - #### getSubState

          public TreeState getSubState(org.richfaces.model.TreeRowKey rowKey)

    - #### clearSubState

          public void clearSubState(org.richfaces.model.TreeRowKey rowKey)

    - #### mergeSubState

          public void mergeSubState(org.richfaces.model.TreeRowKey rowKey,
                           TreeState subState)

Copyright © 2014. All Rights Reserved.